Bug 479246 - mkbootdisk does not produce bootable Xen image
mkbootdisk does not produce bootable Xen image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkbootdisk (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 07:08 EST by Stepan Kasal
Modified: 2010-01-14 05:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-14 05:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2009-01-08 07:08:04 EST
+++ This bug was initially created as a clone of Bug #243188 +++
Description of problem:
RHEL5 mkbootdisk does not produce bootable image if kernel-xen is used.

Version-Release number of selected component (if applicable):
mkbootdisk-1.5.3-2.1

How reproducible:
always

Steps to Reproduce:
1. execute /sbin/mkbootdisk --device boot.iso -v --iso 2.6.18-8.1.4.el5xen
2. write boot.iso to a CD
3. attempt booting, it will fail

Patch:
Attached file is a patch to add a new command-line switch --xen. Using this
switch produces a working boot image with kernel-xen.
Comment 1 Bug Zapper 2009-06-09 06:37:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stepan Kasal 2010-01-14 05:53:10 EST
kernel-xen is no longer present in Fedora 10 and up.
So the urge to add this to Fedora diminished.

Note You need to log in before you can comment on or make changes to this bug.